using C4IT.FASD.Base;
using F4SDwebService;
using System;
using System.Web.Http;

namespace FasdWebService.Controllers
{

    public class GetAgentApiConfigurationController : ApiController
    {
        public IHttpActionResult Get()
        {
            var AgentConfig = WebApiApplication.Collector?.InfrastructureConfig?.ClientAgent;
            if (AgentConfig == null)
                return NotFound();

            var output = WebApiApplication.Collector.F4sdAgent.GetAgentApiConfiguration(false);
            return Ok(output);
        }
    }
}